Package org.apache.tools.ant.taskdefs.optional.jsp

# Interface JspMangler

All Known Implementing Classes:
  `Jasper41Mangler`, `JspNameMangler`

public interface JspMangler
This is an interface to the Mangler service that jspc needs to map JSP file names to java files. Note the complete lack of correlation with Jasper's mangler interface.

## Method Summary

Modifier and Type
Method
Description
`String`
`mapJspToJavaName(File jspFile)`
map from a jsp file to a java filename; does not do packages
`String`
`mapPath(String path)`
taking in the substring representing the path relative to the source dir return a new string representing the destination path

## Method Details

### mapJspToJavaName

String mapJspToJavaName(File jspFile)
map from a jsp file to a java filename; does not do packages

Parameters:
  `jspFile` - file
Returns:
  java filename

### mapPath

String mapPath(String path)
taking in the substring representing the path relative to the source dir return a new string representing the destination path

Parameters:
  `path` - the path to map.
Returns:
  the mapped path.